Subject: Re: [PATCH] net: usbnet: Avoid potential RCU stall on LINK_CHANGE event

From: Jakub Kicinski <[email-masked]>
Date: Mon, 14 Jul 2025 16:35:05 -0700

On Thu, 10 Jul 2025 08:50:40 +0000 John Ernberg wrote:
> Having a Gemalto Cinterion PLS83-W modem attached to USB and activating the
> cellular data link would sometimes yield the following RCU stall, leading
> to a system freeze:

Do you know which sub-driver it's using?
I'm worried that this is still racy.
Since usbnet_bh checks if carrier is ok and __handle_link_change()
checks the opposite something must be out of sync if both run.
Most likely something restored the carrier while we're still handling
the previous carrier loss.
-- 
pw-bot: cr